# Generated by Django 2.2.24 on 2021-08-31 14:07

import django
import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

if django.VERSION < (3, 1):
    from django.contrib.postgres.fields import JSONField
else:
    from django.db.models import JSONField


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Office',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, unique=True, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='office')),
                ('description', models.TextField(blank=True, max_length=255, verbose_name='description')),
                ('phone', models.CharField(max_length=20, verbose_name='phone')),
                ('fax', models.CharField(max_length=20, verbose_name='fax')),
                ('email', models.EmailField(blank=True, max_length=100, null=True, verbose_name='email')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='office_office_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='office_office_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'office',
                'verbose_name_plural': 'office',
                'ordering': ('ordering',),
                'permissions': (('list_office', 'Can list office'), ('detail_office', 'Can detail office'), ('enable_office', 'Can enable office'), ('disable_office', 'Can disable office')),
            },
        ),
        migrations.CreateModel(
            name='Area',
            fields=[
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, primary_key=True, serialize=False, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('default_info', JSONField(blank=True, help_text='put here default extra info about this area', null=True, verbose_name='default_info')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='office_area_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='office_area_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'area',
                'verbose_name_plural': 'areas',
                'ordering': ('ordering',),
                'permissions': (('list_area', 'Can list area'), ('detail_area', 'Can detail area'), ('enable_area', 'Can enable area'), ('disable_area', 'Can disable area')),
            },
        ),
    ]
